{% extends 'base.html' %}
{%block title%}
{{post.title_tag}}
{%endblock%}
{% block content%}

<h1>{{post.title}}- {{post.author.id}}</h1>

<small>By:{{post.author.first_name}} {{post.author.last_name}} {{post.category}}
    Datum: {{post.post_date}} <br>
    {% if user.is_authenticated %}
        {%if user.id == post.author.id%}
            <a href="{% url 'update_post' post.pk %}" class="text-slate-500 hover:text-blue-600">Izmijenite ovaj post</a>
            -<a href="{% url 'delete_post' post.pk %}" class="text-slate-500 hover:text-blue-600">Obrisite ovaj post</a>
        {%endif%}
</small>
{%else%}
<p class="text-sm">
    Molim Vas ulogujte se da bi napravili izmijene :)
</p>
{%endif%}
<br>
<p class="text-2xl">
    {{post.body|safe}}
</p>
<br>
<a href="{% url 'home' %}" class="bg-red-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded"></a>
{% endblock %}